Bug 57350 - Review new CoreImage filters added in Xcode 9
Summary: Review new CoreImage filters added in Xcode 9
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.iOS.dll (show other bugs)
Version: XI 10.99 (xcode9)
Hardware: PC Mac OS
: Normal normal
Target Milestone: xcode9.2
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-06-10 00:35 UTC by Alex Soto [MSFT]
Modified: 2017-11-16 21:46 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alex Soto [MSFT] 2017-06-10 00:35:23 UTC
We must revisit CoreImage filters added in Xcode9, we added stubs for them here https://github.com/xamarin/xamarin-macios/pull/2191/commits/dfd52f5f694121dbaf977b2f15b6eb2f677d3b24
Comment 1 Rolf Bjarne Kvinge [MSFT] 2017-06-22 11:13:13 UTC
More filters in beta 2: https://github.com/xamarin/xamarin-macios/pull/2241/commits/71b4566436ff6e06ffb10c3e21cf1051b5595d6a
Comment 2 Alex Soto [MSFT] 2017-07-06 16:21:04 UTC
Also this API must be enabled once we bind CoreImage 

https://github.com/xamarin/xamarin-macios/pull/2301/files#diff-96403a3186343b87f3da9f1810a1c7d2R534
Comment 3 Rolf Bjarne Kvinge [MSFT] 2017-08-08 06:34:33 UTC
More filters in beta 5: https://github.com/xamarin/xamarin-macios/pull/2447/commits/450d48b9f3486d8a8d030e60823425c06c35c11f
Comment 4 Rolf Bjarne Kvinge [MSFT] 2017-09-11 12:31:16 UTC
Maybe we should comment out the filters we stubbed out until we can fix/implement them?
Comment 5 Sebastien Pouliot 2017-09-12 19:37:14 UTC
@Vincent please put the stubs under `#if false // bug 57350` so the release is not misguiding the customers about the filters. Thanks!
Comment 6 Vincent Dondain [MSFT] 2017-09-14 15:07:02 UTC
@Sebastien filters skipped in https://github.com/xamarin/xamarin-macios/pull/2698
Comment 7 Vincent Dondain [MSFT] 2017-11-09 15:37:16 UTC
https://github.com/xamarin/xamarin-macios/pull/2974
Comment 8 Vincent Dondain [MSFT] 2017-11-16 21:46:38 UTC
PR merged in master: https://github.com/xamarin/xamarin-macios/commit/30a057ddc0734ffcb7a897dac37fd56414265810